--- old/usr/src/uts/common/os/vm_subr.c	2015-11-25 13:59:38.526868129 -0500
+++ new/usr/src/uts/common/os/vm_subr.c	2015-11-25 13:59:38.530468406 -0500
@@ -364,11 +364,11 @@
 
 	*lenp = 0;
 	if (cow) {
-		AS_LOCK_ENTER(as, &as->a_lock, RW_WRITER);
+		AS_LOCK_ENTER(as, RW_WRITER);
 		seg = as_findseg(as, uaddr, 0);
 		if ((seg == NULL) || ((base = seg->s_base) > uaddr) ||
 		    (uaddr + total) > base + seg->s_size) {
-			AS_LOCK_EXIT(as, &as->a_lock);
+			AS_LOCK_EXIT(as);
 			return (EINVAL);
 		}
 		/*
@@ -376,10 +376,10 @@
 		 * But to be safe, we check against segvn.
 		 */
 		if (seg->s_ops != &segvn_ops) {
-			AS_LOCK_EXIT(as, &as->a_lock);
+			AS_LOCK_EXIT(as);
 			return (ENOTSUP);
 		} else if ((SEGOP_GETTYPE(seg, uaddr) & MAP_PRIVATE) == 0) {
-			AS_LOCK_EXIT(as, &as->a_lock);
+			AS_LOCK_EXIT(as);
 			return (ENOTSUP);
 		}
 	}
@@ -484,7 +484,7 @@
 		++i;
 	}
 	if (cow) {
-		AS_LOCK_EXIT(as, &as->a_lock);
+		AS_LOCK_EXIT(as);
 	}
 	if (first && res == FC_NOMAP) {
 		/*
@@ -502,7 +502,7 @@
 		size = total;
 		res = as_fault(as->a_hat, as, uaddr, size, F_INVAL, S_READ);
 		if (cow)
-			AS_LOCK_ENTER(as, &as->a_lock, RW_WRITER);
+			AS_LOCK_ENTER(as, RW_WRITER);
 		goto tryagain;
 	}
 	switch (res) {
